%define anolis_release 27
Name:		perl-Data-Section-Simple
Version:	0.07
Release:	%{anolis_release}%{?dist}
Summary:	Read data from __DATA__
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Data-Section-Simple
Source0:	https://cpan.metacpan.org/modules/by-module/Data/Data-Section-Simple-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(warnings)
# Module
BuildRequires:	perl(base)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime

%description
Data::Section::Simple is a simple module to extract data from the __DATA__
section of the file.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Data-Section-Simple-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test RELEASE_TESTING=1

%files
%license LICENSE
%{perl_vendorlib}/Data/
%{_mandir}/man3/Data::Section::Simple.3*

%files doc
%doc Changes README

%changelog
* Sat Feb 11 2023 Funda Wang <fundawang@yeah.net> - 0.07-27
- Import package for anolis 23
